function [ poloha_x, maximum_y ] = fourierova_text(novex,z,fvz,index)
% Tato funkce hledá maximum ve spektru a pomocí tlačitka vypíše hodnoty do
% pole


L = length(novex);             
NFFT = 2^nextpow2(L);
Y = fft(z,NFFT)/L;
Y1 = 2*abs(Y(1:NFFT/2+1));
f = fvz/2*linspace(0,1,NFFT/2+1);
L2 = length(Y1); 

%PRAHOVÁNÍ
start = ((L2/100)*1.08);
Y2=Y1(floor(start):end); 
L3 = length(Y2);
Y3 = Y2(1:(floor(L3/7)));
[maximum,poloha]=max(Y3(1:end));
maximum_y = maximum;


poloha1 = (poloha-1)+(floor(start)); 
poloha_x = f(poloha1);
end

